/*
 * Created on May 20, 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package contactlist.beans;

import java.util.ArrayList;

/**
 * @author wsdemo
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class ContactList{
	protected ArrayList contactList = new ArrayList();

	/**
	 * @return
	 */
	public void populate(int numberOfRecords) {
		Contact contact = null;
	
		for (int i = 0; i < numberOfRecords; i++) {
			contact = new Contact();
	
			contact.setContactID("" + i);
			contact.setOwner("wpsadmin");
			contact.setFirstName("First" + i);
			contact.setLastName("Last" + i);
			contact.setEmail("test" + i + "@ibm.com");
			contact.setTitle("Dr.");
			contact.setCompany("IBM");
			contact.setBusinessPhone("355-354-344" + i);
			contact.setMobilePhone("565-454-345" + i);
			contact.setFaxPhone("343-343-344" + i);
			contact.setWeb("http://www.ibm.com");
			contact.setAddress("" + i + " Hwy 52 N");
			contact.setCity("Rochester");
			contact.setState("MN");
			contact.setZip("5590" + i);
			contact.setCountry("USA");
	
			try {
				//saveContact(contact);
				contactList.add(contact);
				//System.out.println(contact);
			} catch (Exception e) {
				System.out.println(e);
			}
		}
	}

	/** 
		* @author WebSphere Studio
		* @beanName contactList
		* @managed-bean true
		* @beanClass java.util.ArrayList
		*/
	public ArrayList getContactList() {
		return contactList;
	}

	public void setContactList(ArrayList newList) {
		this.contactList = newList;
	}

	/**
	 * Get the Contact information given an Contact number
	 * @param owner java.lang.String
	 * @param contactOID java.lang.String
	 * @return Contact
	 */
	public Contact getContact(String owner, String oid) {
		Contact contact = null;
		
		if(owner != null || oid != null){
			for (int i = 0; i < contactList.size(); i++) {
				contact = (Contact) contactList.get(i);
				if (owner.equals(contact.getOwner())
					&& oid.equals(contact.getContactID())) {
					return contact;
				}
			}
		}

		return contact;
	}

	/**
	 * Create a Contact
	 * @param Contact
	 */
	public void saveContact(Contact contact) {
		if(contact != null){
			contactList.add(contact);
		}
	}

	/**
	 * Delete a Contact
	 * @param Contact
	 */
	public void deleteContact(String owner, String oid) {
		Contact contact = null;
		
		if(owner != null || oid != null){
			for (int i = 0; i < contactList.size(); i++) {
				contact = (Contact) contactList.get(i);
				if (owner.equals(contact.getOwner())
					&& oid.equals(contact.getContactID())) {
					contactList.remove(i);
					return;
				}
			}
		}
	}

	public void modifyContact(Contact contact) {
		Contact currentContact = null;

		if(contact != null){
			for (int i = 0; i < contactList.size(); i++) {
				currentContact = (Contact) contactList.get(i);
				if (contact.getOwner().equals(currentContact.getOwner())
					&& contact.getContactID().equals(currentContact.getContactID())) {
					contactList.set(i, contact);
					return;
				}
			}
		}
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#clone()
	 */
	protected Object clone() throws CloneNotSupportedException {
		System.out.println("Cloning Contact List");
		return super.clone();
	}

}
