@echo off
SETLOCAL
REM
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2003
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM
REM

call "%~dp0setupVARS.bat"
call "%WEBSPHERE_PROFILE_PATH%\bin\setupCmdLine.bat"

if "%1" == "" goto usage

set LAB_PATH=C:\LabFiles60\%1\
set DB_NAME=BANKDB

REM Look for the DDL file in the workspace directory in the lab's directory
set DB_DDL_FILE=%LAB_PATH%workspace\WebSphereBankEJB\ejbModule\META-INF\backends\CLOUDSCAPE_V51_1\Table.ddl
IF exist %DB_DDL_FILE%. goto DDL_FOUND

REM If the DDL file is not in the workspace look for it in the lab's directory
set DB_DDL_FILE=%LAB_PATH%Bank.ddl
IF exist %DB_DDL_FILE%. goto DDL_FOUND

Rem If the DDL file doesn't exist in the above directories use the default one in the Common directory
set DB_DDL_FILE=%~dp0Bank.ddl

:DDL_FOUND

call "%~dp0setupCloudscapeDB.bat" %DB_NAME% %DB_DDL_FILE% %LAB_PATH%

echo.

goto end

:usage
echo.  
echo Usage: setupBankDB.bat [LAB_PATH]
echo.

:end

ENDLOCAL


