REM
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2003
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM
REM


call "%~dp0setupVARS.bat"
call "%WEBSPHERE_PROFILE_PATH%\bin\setupCmdLine.bat"

if "%1" == "" goto usage
if "%2" == "" goto usage
if "%3" == "" goto usage

set PATH=%WAS_HOME%\bin;%JAVA_HOME%\bin;%PATH%
set DBNAME=%1
set DDL_FILE=%2
set LAB_PATH=%3
set DB_LOCATION=%LAB_PATH%databases

cls
echo.
echo *******************************************************************************
echo *******************************************************************************
echo **  CREATING %DBNAME% DATABASE
echo *******************************************************************************
echo **  This .bat file creates the %DBNAME% database.
echo **  Database Location: %DB_LOCATION%\%DB_NAME%
echo **  DDL File: %DDL_FILE%
echo **  Hit Ctrl-C now to abort this action if you do not wish for this to happen.
echo *******************************************************************************
echo *******************************************************************************

pause

IF NOT exist %DB_LOCATION%\%DB_NAME%. (
 IF NOT exist %DB_LOCATION%. (
  pushd %LAB_PATH%
  mkdir databases
  popd
 )
 pushd %DB_LOCATION%
 echo.
 echo ===============================================================================
 echo Creating the %DBNAME% database 
 echo -------------------------------------------------------------------------------
 echo ---} Database does not exist
 echo ---} Creating and initializing %DBNAME% database...
 @echo connect 'jdbc:db2j:%DBNAME%;create=true';run '%DDL_FILE%';disconnect all;exit; > commands.txt
 
 java -classpath "%CLOUDSCAPE_HOME%\lib\db2j.jar;%CLOUDSCAPE_HOME%\lib\db2jtools.jar" com.ibm.db2j.tools.ij commands.txt > %LAB_PATH%Create%DBNAME%.log

 echo ---} %DBNAME% database created
 del commands.txt
 popd
 goto theEnd
) 


:onWarning
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo WARNING: Did not create %DBNAME% database 
echo REASON:  %DB_LOCATION%\%DB_NAME% already exists.
echo Manually delete the following database
echo --} %DB_LOCATION%\%DB_NAME%
echo Run setupBankDB.bat again to generate the database.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
goto theEnd

:usage
echo.
echo Error: Invalid usage.  Reason: Missing parameter
echo Usage: setupCloudscapeDB.bat [DB NAME] [DDL Filename] [Lab Directory]
echo.


:theEnd



