-- Generated by Relational Schema Center on Tue Jun 29 15:02:02 EDT 2004 for Cloudscape, V5.1

DROP TABLE SUPPLIER.ORDERITEMS;
DROP TABLE SUPPLIER.ORDERS;
DROP TABLE SUPPLIER.CUSTOMERS;
DROP TABLE SUPPLIER.INVENTORY;

DROP SCHEMA SUPPLIER;

CREATE SCHEMA SUPPLIER;

CREATE TABLE SUPPLIER.CUSTOMERS
  (CUSTOMERID VARCHAR(128) NOT NULL PRIMARY KEY,
   CUSTOMERNAME VARCHAR(250) NOT NULL,
   CONTACT VARCHAR(250) NOT NULL,
   EMAIL VARCHAR(128),
   PHONE VARCHAR(128),
   ADDRESS VARCHAR(250) NOT NULL,
   CITY VARCHAR(250) NOT NULL,
   STATE VARCHAR(32) NOT NULL,
   ZIPCODE VARCHAR(5) NOT NULL
   );
   
CREATE TABLE SUPPLIER.INVENTORY
  (INVENTORYID VARCHAR(128) NOT NULL,
   PRODUCTNAME VARCHAR(250) NOT NULL,
   STOCK INTEGER NOT NULL,
   UNITPRICE DOUBLE PRECISION NOT NULL,
   PRIMARY KEY (INVENTORYID)
   );
 
CREATE TABLE SUPPLIER.ORDERS
  (ORDERID BIGINT NOT NULL,
   CONFIRMATION VARCHAR(250) NOT NULL,
   CUSTOMERID VARCHAR(128) NOT NULL,
   STATUS SMALLINT NOT NULL DEFAULT 0,
   ORDERDATE DATE NOT NULL,
   PRIMARY KEY (ORDERID),
   FOREIGN KEY (CUSTOMERID) REFERENCES SUPPLIER.CUSTOMERS (CUSTOMERID) ON DELETE NO ACTION ON UPDATE NO ACTION   
   );
   
CREATE TABLE SUPPLIER.ORDERITEMS
  (ITEMID BIGINT NOT NULL,
   ORDERID BIGINT NOT NULL,
   INVENTORYID VARCHAR(128) NOT NULL,
   QUANTY INTEGER NOT NULL,
   PRIMARY KEY (ITEMID),
   FOREIGN KEY (ORDERID) REFERENCES SUPPLIER.ORDERS (ORDERID) ON DELETE CASCADE,
   FOREIGN KEY (INVENTORYID) REFERENCES SUPPLIER.INVENTORY (INVENTORYID) ON DELETE NO ACTION
   );
   
   
--CREATE SOME CUSTOMERS
INSERT INTO SUPPLIER.CUSTOMERS VALUES ('PBW001', 'PlantsByWebSphere', 'Joe Smith', 'jsmith@pbw.com', '555-555-7171', '311 Oak Street', 'Garden City', 'FL', '11530');
INSERT INTO SUPPLIER.CUSTOMERS VALUES ('TGC001', 'The Garden Center', 'Sue Jones', 'sjones@gardencenter.com', '123-456-7890', '123 Maple Street', 'Sunnyville', 'CA', '12345');
INSERT INTO SUPPLIER.CUSTOMERS VALUES ('SL001', 'Superior Landscaping', 'John Mills', 'jmills@landscaping.com', '098-765-4321', '100 Rose Avenue', 'Pleasantville', 'NY', '11023');
INSERT INTO SUPPLIER.CUSTOMERS VALUES ('TGS001', 'The Garden Shop', 'Sally Johnson', 'sjohnson@gradenshop.com', '666-777-1212', '205 Birch Drive', 'Seattle', 'WA', '55667');


--CREATE SOME INVENTORY ITEMS
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0001', 'African Orchid', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0002', 'Babies Breath', 600, 1.25);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0003', 'Black Eyed Susan', 250, 2.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0004', 'Coleus', 100, 2.30);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0005', 'Dasies', 400, 2.00);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0006', 'Fox Glove', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0007', 'Geranium', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0008', 'Good Night Moon Iris', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0009', 'Impatiens', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0010', 'Lily', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0011', 'Pansies', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0012', 'Petunias', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0013', 'Primrose', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0014', 'Red Poinsettia', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0015', 'Red Rose', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0016', 'Sparkler Celosia', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0017', 'Tulips', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0018', 'White Poinsettia', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0019', 'White Rose', 350, 3.75);
INSERT INTO SUPPLIER.INVENTORY VALUES ('F0020', 'Zinnia', 350, 3.75);

--CREATE SOME ORDERS
INSERT INTO SUPPLIER.ORDERS VALUES (0, 'PBW001-0', 'PBW001', 0, '2004-06-30');
INSERT INTO SUPPLIER.ORDERS VALUES (1, 'TGC001-1', 'TGC001', 0, '2004-06-27');
INSERT INTO SUPPLIER.ORDERS VALUES (2, 'SL001-2', 'SL001', 0, '2004-06-28');
INSERT INTO SUPPLIER.ORDERS VALUES (3, 'PBW001-3', 'PBW001', 0, '2004-06-25');
INSERT INTO SUPPLIER.ORDERS VALUES (4, 'TGS001-4', 'TGS001', 0, '2004-06-26');
INSERT INTO SUPPLIER.ORDERS VALUES (5, 'PBW001-5', 'PBW001', 0, '2004-07-01');
INSERT INTO SUPPLIER.ORDERS VALUES (6, 'PBW001-6', 'PBW001', 0, '2004-07-09');
INSERT INTO SUPPLIER.ORDERS VALUES (7, 'PBW001-7', 'PBW001', 0, '2004-07-10');
INSERT INTO SUPPLIER.ORDERS VALUES (8, 'PBW001-8', 'PBW001', 0, '2004-07-11');


--CREATE SOME ORDER ITEMS
INSERT INTO SUPPLIER.ORDERITEMS VALUES (0, 0, 'F0001', 24);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (1, 0, 'F0003', 12);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (2, 0, 'F0004', 36);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (3, 0, 'F0006', 50);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (4, 0, 'F0007', 75);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (5, 0, 'F0010', 24);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (6, 0, 'F0015', 42);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (7, 0, 'F0008', 30);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (8, 1, 'F0002', 40);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (9, 1, 'F0019', 12);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (10, 1,'F0014', 50);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (11, 2,'F0005', 60);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (12, 2,'F0013', 36);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (13, 2,'F0018', 60);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (14, 2,'F0001', 25);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (15, 3,'F0011', 20);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (16, 3,'F0020', 32);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (17, 4,'F0015', 75);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (18, 4,'F0020', 12);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (19, 4,'F0006', 50);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (20, 4,'F0019', 32);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (21, 5,'F0015', 10);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (22, 5,'F0020', 15);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (23, 6,'F0011', 50);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (24, 6,'F0019', 32);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (25, 7,'F0009', 50);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (26, 7,'F0007', 32);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (27, 7,'F0006', 50);
INSERT INTO SUPPLIER.ORDERITEMS VALUES (28, 7,'F0013', 32);

INSERT INTO SUPPLIER.ORDERITEMS VALUES (29, 8,'F0017', 100);
